• Atualização de Segurança para o Samba 3.5

    Os desenvolvedores do Samba lançaram nesta terça-feira a sua versão 3.5.5, sendo esta uma atualização de segurança que corrige uma vulnerabilidade de buffer overrun no seu arquivo de código aberto e software servidor de impressão. Segundo os desenvolvedores, a vulnerabilidade afeta a função sid_parse() e a função relacionada dom_sid_parse() que não verifica corretamente seus comprimentos de entrada durante a leitura de versões binárias do Windows Security ID (SID), uma conexão de compartilhamento de arquivos - autenticada ou não autenticada - é necessária para explorar o problema.



    As versões 3.0.x para 3.5.x são supostamente afetadas pela vulnerabilidade, e em decorrência disso todos os usuários são incentivados a atualizar o mais rapidamente possível. Os desenvolvedores do Ubuntu já atualizaram suas versões do Samba no Ubuntu 6.06 LTS para 10.04 LTS.

    Mais informações sobre o Samba 3.5.5 podem ser encontradas nas notas de lançamento. Samba 3.5.5 está disponível para download (download direto) a partir do site do projeto, e a versões 3.3.15 e 3.4.9 do Samba também foram liberadas. Alternativamente, as correções de segurança estão disponíveis a partir do site do Samba para as versões 3.3.13, 3.4.8 e 3.5.4. Samba está licenciado sob a GPL.


    Saiba Mais:

    [1] Samba 3.5: http://www.samba.org/
    [2] Download Samba 3.5: http://www.samba.org/samba/history/samba-3.5.5.html

    Sobre o Autor: Camilla Lemke


Visite: BR-Linux ·  VivaOLinux ·  Dicas-L